Package org.apache.uima.jcas.cas

# Class TOP_Type

java.lang.Object
org.apache.uima.jcas.cas.TOP_Type

Direct Known Subclasses:
  `AnnotationBase_Type`

@Deprecated public class TOP_Type extends Object
Deprecated.
hold Cas type information, link to JCas instance. One instance per Type, per CAS

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final CASImpl`
  `casImpl`
  Deprecated.
  ref to CAS for faster getters/setters
  `final Type`
  `casType`
  Deprecated.
  the Cas Type associated with this Java Cas Model class
  `final int`
  `casTypeCode`
  Deprecated.
  `protected final TOP_Type`
  `instanceOf_Type`
  Deprecated.
  This generator can be set up to either get the identical Java object (if it exists) or just make a new one.
  `final JCas`
  `jcas`
  Deprecated.
  reference to the Java Cas root
  `final LowLevelCAS`
  `ll_cas`
  Deprecated.
  `protected final boolean`
  `lowLevelArrayBoundChecks`
  Deprecated.
  `protected final boolean`
  `lowLevelTypeChecks`
  Deprecated.
  `static final int`
  `typeIndexID`
  Deprecated.
  each cover class when loaded sets an index.
  `final boolean`
  `useExistingInstance`
  Deprecated.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TOP_Type()`
  Deprecated.
  protected constructor - disable default constructor - never called.
  ``
  `TOP_Type(JCas jcas, Type casType)`
  Deprecated.
  `protected`
  `TOP_Type(JCas jcas, Type casType, boolean installGenerator)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addToIndexes(int inst)`
  Deprecated.
  add the corresponding FeatureStructure to all Cas indexes
  `protected FSGenerator<?>`
  `getFSGenerator()`
  Deprecated.
  `int`
  `getTypeIndexID()`
  Deprecated.
  used to obtain reference to the TOP_Type instance
  `int`
  `noObjCreate()`
  Deprecated.
  `void`
  `removeFromIndexes(int inst)`
  Deprecated.
  remove the corresponding FeatureStructure from all Cas indexes

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### typeIndexID

    public static final int typeIndexID
    Deprecated.
    each cover class when loaded sets an index. used in the JCas typeArray to go from the cover class or class instance to the corresponding instance of the _Type class
    See Also:
      - Constant Field Values

  - ### casType

    public final Type casType
    Deprecated.
    the Cas Type associated with this Java Cas Model class

  - ### casTypeCode

    public final int casTypeCode
    Deprecated.

  - ### jcas

    public final JCas jcas
    Deprecated.
    reference to the Java Cas root

  - ### casImpl

    public final CASImpl casImpl
    Deprecated.
    ref to CAS for faster getters/setters

  - ### ll_cas

    public final LowLevelCAS ll_cas
    Deprecated.

  - ### lowLevelTypeChecks

    protected final boolean lowLevelTypeChecks
    Deprecated.

  - ### lowLevelArrayBoundChecks

    protected final boolean lowLevelArrayBoundChecks
    Deprecated.

  - ### useExistingInstance

    public final boolean useExistingInstance
    Deprecated.

  - ### instanceOf_Type

    protected final TOP_Type instanceOf_Type
    Deprecated.
    This generator can be set up to either get the identical Java object (if it exists) or just make a new one. If making a new one - the java object made cannot contain any other data (because updates won't be reflected). Each class generated by JCasGen either does this (if it has additional java fields imbedded) or not.

- ## Constructor Details

  - ### TOP_Type

    protected TOP_Type()
    Deprecated.
    protected constructor - disable default constructor - never called.

  - ### TOP_Type

    public TOP_Type(JCas jcas, Type casType)
    Deprecated.

  - ### TOP_Type

    protected TOP_Type(JCas jcas, Type casType, boolean installGenerator)
    Deprecated.

- ## Method Details

  - ### getTypeIndexID

    public int getTypeIndexID()
    Deprecated.
    used to obtain reference to the TOP_Type instance
    Returns:
      the type array index

  - ### getFSGenerator

    protected FSGenerator<?> getFSGenerator()
    Deprecated.

  - ### addToIndexes

    public void addToIndexes(int inst)
    Deprecated.
    add the corresponding FeatureStructure to all Cas indexes
    Parameters:
      `inst` - the low level CAS Feature Structure reference

  - ### removeFromIndexes

    public void removeFromIndexes(int inst)
    Deprecated.
    remove the corresponding FeatureStructure from all Cas indexes
    Parameters:
      `inst` - the low level CAS Feature Structure reference

  - ### noObjCreate

    public int noObjCreate()
    Deprecated.